## org.eclipse.emf.codegen.presentation
Class ConvertToJETProjectWizard.ConversionPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.codegen.presentation.ConvertToJETProjectWizard.ConversionPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage

Enclosing class:
  ConvertToJETProjectWizard

    public class ConvertToJETProjectWizard.ConversionPage

extends WizardPage

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ConvertToJETProjectWizard.ConversionPage()`

Method Summary
`void` `createControl(Composite parent)`
`boolean` `isPageComplete()`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Constructor Detail

### ConvertToJETProjectWizard.ConversionPage

    public ConvertToJETProjectWizard.ConversionPage()

Method Detail

### isPageComplete

    public boolean isPageComplete()

  Specified by:
    `isPageComplete` in interface `IWizardPage`
  Overrides:
    `isPageComplete` in class `WizardPage`

### createControl

    public void createControl(Composite parent)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.